# Update the beneficiary name of an outgoing wire transfer

Update the beneficiary name of an OWT in PENDING_CONFIRMATION state. Clears and re-runs CoP/VoP validation with the new name.

Endpoint: PATCH /outgoing_wire_transfers/{id}
Version: v3
Security: auth_token, api-key

## Path parameters:

  - `id` (string, required)
    The unique identifier of the Outgoing Wire Transfer transaction.

## Request fields (application/json):

  - `name` (string)
    The new beneficiary name. Mutually exclusive with acceptVerifiedName. For FasterPayments/BACS: max 140 chars matching pattern ^[a-zA-Z0-9/-?:().,'+\s#=!"%&*<>;{@\r\n]*$. For IBAN: max 150 chars.

  - `acceptVerifiedName` (boolean)
    Set to true to accept the account name returned with a CLOSE_MATCH or EXACT_MATCH VoP/CoP result. Mutually exclusive with name.

## Response 200 fields (application/json):

  - `id` (string, required)
    The unique identifier of an Outgoing Wire Transfer transaction.

  - `profileId` (string, required)
    The profile Id which a specific identity, instrument or transaction type is linked to.

Profiles contain configuration and determine behavioral aspects of the newly created transaction, for example, fees that may apply.

You can have one or more profiles linked to your application, and these can be used to drive different behaviors according to your product's needs.

Profile Ids can be found in the Multi Portal, in the API Credentials page.

  - `tag` (string)
    The tag field is a custom field that can be used to search and filter.

  - `sourceInstrument` (object, required)
    The source managed account from where the funds were taken.

  - `sourceInstrument.type` (string, required)
    Enum: "managed_accounts"

  - `sourceInstrument.id` (string, required)

  - `transferAmount` (object, required)
    The object representing a monetary amount in a particular currency.

  - `transferAmount.currency` (string, required)
    The currency expressed in ISO-4217 code. Example: GBP, EUR, USD.

  - `transferAmount.amount` (integer, required)
    The monetary amount, scaled to the lowest denomination of the currency.

Example, an amount of 1000 for a EUR currency is actually 1000 Euro cents or EUR 10.00.

  - `purpose` (string)
    The purpose of the payment.

  - `description` (string)
    Transaction description.

  - `type` (string)
    The wire transfer rails used, from SEPA, Faster Payments, SWIFT or RIX.
    Enum: "SEPA", "FASTER_PAYMENTS", "SWIFT", "RIX"

  - `destination` (any)

  - `destination.name` (string, required)
    The beneficiary's full name. The allowed length and pattern is dependent on the bank account details type:
`IBANDetails`: >= `1` character and <= `150` characters. An extended character set is accepted to cater for all European languages. If `SEPA` does not support a particular character, it is automatically converted to an acceptable alternative, in line with `SEPA` scheme guidance.
`FasterPaymentsBankDetailsOrBACSBankDetails`: >= `1` character and <= `140` characters with a pattern of `^[a-zA-Z0-9\/\-?:().,’+\s#=!"%&*<>;\{@\r\n]*$`
(please note that the `’` symbol is the unicode value U+2019 (right single quotation mark) and not the unicode value U+0027 (apostrophe))

  - `destination.type` (string)
    The type of beneficiary account. Required only when `FasterPaymentsBankDetailsOrBACSBankDetails` are specified
    Enum: "PERSONAL", "BUSINESS"

  - `destination.address` (string)
    The beneficiary’s address. For `SEPA`, an extended character set is accepted to cater for all European languages. If `SEPA` does not support a particular character, it is automatically converted to an acceptable alternative, in line with `SEPA` scheme guidance.

  - `destination.bankName` (string)
    The beneficiary's bank name.

  - `destination.bankAddress` (string)
    The beneficiary's bank address.

  - `destination.bankCountry` (string)
    The beneficiary's bank country in ISO 3166 alpha-2 format.

  - `destination.bankAccountDetails` (any, required)
    Details of the beneficiary bank account, depending on the type of transfer chosen.

  - `destination.bankAccountDetails.iban` (string, required)
    International Bank Account Number, required for wire transfer over SEPA or RIX

  - `destination.bankAccountDetails.bankIdentifierCode` (string)
    BIC, for wire transfer over SEPA or RIX

  - `destination.bankAccountDetails.accountNumber` (string, required)
    Account number, required for wire transfer over Faster Payments.

  - `destination.bankAccountDetails.sortCode` (string, required)
    Sort code, required for wire transfer over Faster Payments.

  - `destination.bankAccountDetails.secondaryReference` (string)

  - `destination.nationality` (string)
    Nationality of the user - using ISO 3166 alpha-2.

  - `destination.dateOfBirth` (string)
    The date of birth in ISO 8601 format (YYYY-MM-DD).

  - `destination.name` (string, required)
    The beneficiary's full name. >= 1 character and <= 150 characters.
An extended character set is accepted to cater for all European languages.
If SEPA does not support a particular character, it is automatically
converted to an acceptable alternative, in line with SEPA scheme guidance.

  - `destination.iban` (string, required)
    International Bank Account Number, required for wire transfer over SEPA.

  - `destination.bankIdentifierCode` (string)
    BIC (Bank Identifier Code) for wire transfer over SEPA.

  - `destination.address` (string)
    The beneficiary's address. An extended character set is accepted to cater
for all European languages. If SEPA does not support a particular character,
it is automatically converted to an acceptable alternative.

  - `destination.name` (string, required)
    The beneficiary's full name.

  - `destination.account` (string, required)
    Can be either an account number or an International Bank Account Number (IBAN).

  - `destination.bankIdentifierCode` (string)
    Required if account is not an IBAN. Bank Identifier Code (BIC).

  - `destination.address` (string, required)
    The beneficiary's address.

  - `destination.name` (string, required)
    The beneficiary's full name. >= 1 character and <= 150 characters.
An extended character set is accepted to cater for all European languages.
If RIX does not support a particular character, it is automatically
converted to an acceptable alternative.

  - `destination.iban` (string, required)
    International Bank Account Number, required for wire transfer over RIX.

  - `destination.bankIdentifierCode` (string)
    BIC (Bank Identifier Code) for wire transfer over RIX.

  - `destination.address` (string)
    The beneficiary's address. An extended character set is accepted to cater
for all European languages. If RIX does not support a particular character,
it is automatically converted to an acceptable alternative.

  - `destination.name` (string, required)
    The beneficiary's full name. >= 1 character and <= 140 characters.
Note: the ' symbol is the unicode value U+2019 (right single quotation mark)
and not the unicode value U+0027 (apostrophe).

  - `destination.type` (string, required)
    The type of beneficiary account. Required for Faster Payments.
    Enum: "PERSONAL", "BUSINESS"

  - `destination.accountNumber` (string, required)
    Account number, required for wire transfer over Faster Payments.

  - `destination.sortCode` (string, required)
    Sort code, required for wire transfer over Faster Payments.

  - `destination.secondaryReference` (string)
    Optional secondary reference for accounts without unique sort codes.

  - `destination.beneficiaryId` (string, required)

  - `destination.type` (string, required)
    Enum: "linked_accounts"

  - `destination.id` (string, required)

  - `state` (string, required)
    The state of the Outgoing wire transfer transaction, as follows:
- INVALID: The wire transfer has failed initial validation checks.
- PENDING_CHALLENGE: The wire transfer requires the completion of a transaction confirmation challenge before it can be submitted.
- SUBMITTED: The wire transfer has been submitted to the sending financial institution for processing.
- REJECTED: The wire transfer that was submitted was rejected.
- APPROVED: The wire transfer that was submitted has been approved and is being processed by the sending financial institution.
- FAILED: There was an issue with the wire transfer, and the transaction has failed.
- COMPLETED: The requested funds have been sent from the source instrument.
- RETURNED: The wire transfer has been returned to the sender.
- SCHEDULED: The wire transfer will be executed at the scheduled time.
- CANCELLED: The scheduled wire transfer has been cancelled.
- PENDING_CONFIRMATION: The wire transfer requires a manual confirmation by the user before proceeding.
    Enum: "INVALID", "PENDING_CHALLENGE", "SUBMITTED", "REJECTED", "APPROVED", "FAILED", "COMPLETED", "RETURNED", "SCHEDULED", "CANCELLED", "PENDING_CONFIRMATION"

  - `rejectedInfo` (string)
    Additional info when the outgoing wire transfer has been rejected, as follows:
- SYSTEM: The wire transfer was rejected by the system.
- USER: The wire transfer was rejected by the user.
    Enum: "SYSTEM", "USER"

  - `challengeExemptionReason` (string)
    The Reason the transaction was exempted from SCA verification
    Enum: "LOW_VALUE", "TRUSTED_BENEFICIARY"

  - `creationTimestamp` (integer, required)
    The time when the transaction was created, expressed in Epoch timestamp using millisecond precision.

  - `scheduledTimestamp` (string)
    The epoch timestamp at which the transaction is scheduled to be executed.

  - `executionTimestamp` (string)
    The epoch timestamp at which the transaction was executed, transitioning to a final state such as COMPLETED, REJECTED, or FAILED.

  - `cancellationReason` (string)
    The reason the scheduled transaction was cancelled.

  - `validationOutcomes` (array)

  - `validationOutcomes.category` (string, required)
    Enum: "UK_CONFIRMATION_OF_PAYEE", "SEPA_VERIFICATION_OF_PAYEE"

  - `validationOutcomes.categoryResult` (any, required)

  - `validationOutcomes.categoryResult.match` (string, required)
    The result of matching performed by the UK Confirmation of Payee responder
    Enum: "EXACT_MATCH", "CLOSE_MATCH", "NO_MATCH", "NOT_POSSIBLE"

  - `validationOutcomes.categoryResult.reasonCode` (string)
    The reason why the matching failed at the UK Confirmation of Payee responder:
- ANNM: The CoP responder confirms that the account `name` provided does not match;
- MBAM: The CoP responder indicates that the account `name` provided closely matches the actual account in its records, the actual account name is returned in the `accountName` field;
- BANM: The account `type` that the user specified is 'PERSONAL', but the CoP responder indicates that the actual account matching the `name` provided is actually BUSINESS;
- PANM: The account `type` that the user specified is 'BUSINESS', but the CoP responder indicates that the actual account matching the `name` provided is actually PERSONAL;
- BAMM: The account `type` that the user specified is 'PERSONAL', but the CoP responder indicates that an account closely matching the `name` provided is BUSINESS;
- PAMM: The account `type` that the user specified is 'BUSINESS', but the CoP responder indicates that an account closely matching the `name` provided is PERSONAL;
- AC01: The account does not exist in the CoP responders books, the `accountNumber` specified is likely incorrect;
- IVCR: The CoP responder was unable to locate an account based on the `secondaryReference` field;
- ACNS: The account is not supported for CoP by the CoP responder;
- OPTO: The owner of the account has opted out of CoP service by the CoP responder;
- CASS: The account has been switched using the Current Account Switch Service;
- SCNS: The `sortCode` provided is not supported at endpoint;
    Enum: "ANNM", "MBAM", "BANM", "PANM", "BAMM", "PAMM", "AC01", "IVCR", "ACNS", "OPTO", "CASS", "SCNS"

  - `validationOutcomes.categoryResult.accountName` (string)
    CoP: Returned when the `match` is a `CLOSE_MATCH` and the `reasonCode` is MBAM, BAMM or PAMM
VoP: Returned when the `match` is a `CLOSE_MATCH`

  - `validationOutcomes.categoryResult.match` (string, required)
    The result of the SEPA Verification of Payee check performed by the responding PSP.
    Enum: "MATCH", "NO_MATCH", "CLOSE_MATCH", "NOT_POSSIBLE"

  - `validationOutcomes.categoryResult.accountName` (string)
    The name of the account holder as registered with the responding PSP.
Returned when the match result is CLOSE_MATCH to help the payer verify the payee.

## Response 409 fields (application/json):

  - `errorCode` (string)
    Enum: "INVALID_STATE", "CONFLICT_BENEFICIARYID_NAME", "CONFLICT_EXTERNALACCOUNTID_NAME", "MODEL_CONSTRAINTS_VIOLATED", "NO_NAME_TO_ACCEPT"

